Subject: [port-srv-reg] Ports document comments

From: Michelle Cotton <[email-masked]>
Date: Thu, 29 Jul 2010 00:13:02 -0700

Gorry,

Here are the items we discussed yesterday.
Some edits to the document will be needed.   I'm happy to work with you on text.
Just so that I don't forget what we talked about here are some notes.

Thanks,

Michelle

Section 1:

It is important to note that ownership of registered port numbers and
   service names remains with IANA.  For protocols developed by IETF
   working groups, IANA now also offers a method for the "early"
   assignment of port numbers and service names [RFC4020], as described
   in Section 8.1.

Action:  May need to improve this paragraph to say something more like "It is important to note that the authority of registering port numbers and service names remains with IANA" or something like that... Goal is to make the readers aware that authoritative registrations are made by IANA, in the registry maintained by IANA.  However the IETF "owns" the registry.  Perhaps not use the word "ownership".
Perhaps needs more discussion via mailing list.

Section 5.1:

Need to add a sentence saying that you can not have consecutive hypens in the name.

Possibly add a sentence or section that indicates that the historic "port name" is now the "service name" and follows the service name syntax.

Section 8:
Currently says:

   o  Registration Administrative Contact: Name and email address of the
      administrative contact for the registration.  This is REQUIRED.
      The name of the administrative contact identifies the
      organization, company, or individual who is responsible for the
      registration.  For registrations done through IETF-published RFCs,
      the administrative contact will be the IESG.

   o  Registration Technical Contact: Name and email address of the
      technical contact person for the registration.  This is REQUIRED.
      For individuals, this is the same as the Registration
      Administrative Contact; for organizations, this is a point of
      contact at that organization.  Additional address information MAY
      be provided.  For registrations done through IETF-published RFCs,
      the technical contact will be the IESG.

This language may need to be changed.  We (IANA) are working on an internal document regarding the wording to be used with new formats of contact information.  This same wording would be applied to RFC5226bis.  So I'd like to make sure that we have consistency.